Customer
Frequency:
Customer master data changes are required to be sent in near real-time.
Expected data:
Customer master data to be created or updated.
Technical:
If a customer record does not exist in DSWMS, it will be created.
If a customer record already exists in DSWMS, the existing record will be updated.
POST https://{url}/v1/customers
Create or update a customer.
Request Body
The request body is a JSON object containing customer fields.
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Customer unique identifier in ERP |
| title | string | Yes | Customer title |
| street | string | No | Street |
| city | string | No | City |
| country | string | No | Country |
| is_active | boolean | Yes | Activity flag from source system |
Request Example
{
"id": "010239",
"title": "Customer 010239",
"street": "Brivibas iela 10",
"city": "Riga",
"country": "LV",
"is_active": true
}
Response
200: OK - Success
{
"success": true,
"message": null
}
400: Bad Request - Error
{
"success": false,
"message": "Customer identifier is undefined"
}